{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>KegiatanKu</title>
{% endblock meta %}

{% block content %}
<!-- Home page title -->
<div class="container-fluid padding">
<div class="row text-center m-3">
    <div class="col-12">
        <h1 class="display-4">KegiatanKu</h1>
    </div>
</div>
</div>

<!-- Messages prompt -->
{% include 'messages.html' %}

<!-- Add kegiatan button -->
<div class="container-fluid padding">
<div class="row text-center m-3">
    <div class="col-12">
        <a class="btn btn-primary" href="{% url 'main:add_kegiatan' %}">Add Kegiatan</a>
    </div>
</div>
</div>

<!-- Kegiatan cards -->
{% if kegiatans %}
<div class="container-fluid padding">
    <div class="kegiatan-display card-columns">
        {% for kegiatan in kegiatans %}
            <div class="card">
                <div class="card-body">                
                    <h4 class="card-title">{{ kegiatan.nama }}</h4>
                    {% if kegiatan.peserta.all %}
                        <ul class="list-group list-group-flush">
                            {% for peserta in kegiatan.peserta.all %}
                                <li class="list-group-item">{{ peserta.nama }}</li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                    <a class="btn btn-secondary join-button" href="/ikut_kegiatan/{{ kegiatan.id }}">Mau Ikut</a>
                </div>
            </div>
        {% endfor %}
    </div>
</div>

{% elif not kegiatans %}
<!-- No kegiatan prompt -->
<div class="container-fluid padding">
<div class="row text-center m-3">
    <div class="col-12">
        <h2 class="m-3">Belum ada Kegiatan</h2>
    </div>
</div>
</div>

{% endif %}
{% endblock content %}
